# eric6.Plugins.VcsPlugins.vcsGit.GitRevisionSelectionDialog

Module implementing a dialog to select a revision.

### Global Attributes

None

### Classes

GitRevisionSelectionDialog | Class implementing a dialog to select a revision.

### Functions

None

## GitRevisionSelectionDialog

Class implementing a dialog to select a revision.

### Derived from

QDialog, Ui_GitRevisionSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitRevisionSelectionDialog | Constructor
__updateOK | Private slot to update the OK button.
getRevision | Public method to retrieve the selected revision.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_remoteBranchButton_toggled | Private slot to handle changes of the Remote Branch select button.
on_remoteBranchCombo_editTextChanged | Private slot to handle changes of the Remote Branch combo.
on_revButton_toggled | Private slot to handle changes of the rev select button.
on_revEdit_textChanged | Private slot to handle changes of the rev edit.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### GitRevisionSelectionDialog (Constructor)

GitRevisionSelectionDialog(tagsList, branchesList, trackingBranchesList=None, noneLabel="", showBranches=True, showHead=True, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
trackingBranchesList
  list of remote branches (list of strings)
noneLabel
  label text for "no revision selected" (string)
showBranches
  flag indicating to show the branch selection (boolean)
showHead
  flag indicating to show the head selection (boolean)
parent
  parent widget (QWidget)

#### GitRevisionSelectionDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### GitRevisionSelectionDialog.getRevision

getRevision()

Public method to retrieve the selected revision.

Returns:
  selected revision (string)

#### GitRevisionSelectionDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### GitRevisionSelectionDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### GitRevisionSelectionDialog.on_remoteBranchButton_toggled

on_remoteBranchButton_toggled(checked)

Private slot to handle changes of the Remote Branch select button.

checked
  state of the button (boolean)

#### GitRevisionSelectionDialog.on_remoteBranchCombo_editTextChanged

on_remoteBranchCombo_editTextChanged(txt)

Private slot to handle changes of the Remote Branch combo.

txt
  text of the combo (string)

#### GitRevisionSelectionDialog.on_revButton_toggled

on_revButton_toggled(checked)

Private slot to handle changes of the rev select button.

checked
  state of the button (boolean)

#### GitRevisionSelectionDialog.on_revEdit_textChanged

on_revEdit_textChanged(txt)

Private slot to handle changes of the rev edit.

txt
  text of the edit (string)

#### GitRevisionSelectionDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### GitRevisionSelectionDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up